/api/v1/lookupKey optionalLook up an IPAll community reports for an IPv4 or IPv6 address, newest first. Without a key the latest 10 reports are returned and the call is limited to 60 per hour per IP.
| Parameter | Description |
|---|---|
valuerequired | IP address to look up. |
curl "https://abusetrack.io/api/v1/lookup?value=203.0.113.7" \
-H "Authorization: Bearer $AT_API_KEY"{
"value": "203.0.113.7",
"reported": true,
"count": 2,
"results": [
{
"type": "ip",
"value": "203.0.113.7",
"threatType": "Brute Force",
"reportedAt": "2026-09-28T21:14:03.000Z"
}
],
"usage": {
"used": 42,
"limit": 3000,
"resetsAt": "2026-09-29T00:00:00.000Z"
}
}